#include <bits/stdc++.h>
using namespace std;
long long V,br,br1,a[5]={5,2,1},k=1,l;
int main (){
cin>>V;
while(k<V){
    k*=10;
}
k/=10;

  while(V>0){
    for(int i=0;i<=2;i++){
        br=0;
        l=a[i]*k;
        if(V>=l){
            br=V/l;
            V=V%l;
            break;
         }
         }
      if(V<1*k and k>=10){
        k/=10;
      }
  br1+=br;
  }

cout<<br1;

return 0;
}